CoberturaConverter.Core 1.3.0

.NET Standard 2.0
There is a newer version of this package available.
See the version list below for details.
NuGet\Install-Package CoberturaConverter.Core -Version 1.3.0
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
dotnet add package CoberturaConverter.Core --version 1.3.0
<PackageReference Include="CoberturaConverter.Core" Version="1.3.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add CoberturaConverter.Core --version 1.3.0
#r "nuget: CoberturaConverter.Core, 1.3.0"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install CoberturaConverter.Core as a Cake Addin
#addin nuget:?package=CoberturaConverter.Core&version=1.3.0

// Install CoberturaConverter.Core as a Cake Tool
#tool nuget:?package=CoberturaConverter.Core&version=1.3.0

Library to convert coverage reports to Cobertura

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows
.NET Core netcoreapp2.0 netcoreapp2.1 netcoreapp2.2 netcoreapp3.0 netcoreapp3.1
.NET Standard netstandard2.0 netstandard2.1
.NET Framework net461 net462 net463 net47 net471 net472 net48
MonoAndroid monoandroid
MonoMac monomac
MonoTouch monotouch
Tizen tizen40 tizen60
Xamarin.iOS xamarinios
Xamarin.Mac xamarinmac
Xamarin.TVOS xamarintvos
Xamarin.WatchOS xamarinwatchos
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.
  • .NETStandard 2.0

    • No dependencies.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on CoberturaConverter.Core:

Package Downloads
Dangl.Nuke.CoberturaConverter The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

NUKE tool to convert coverage reports to Cobertura

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
2.0.0 39,341 11/12/2020
1.3.1 11,402 3/13/2020
1.3.0 16,500 5/3/2019
1.2.0 987 8/5/2018
1.1.4 985 6/20/2018
1.1.3 927 5/29/2018
1.1.2 1,012 5/28/2018
1.1.1 1,007 5/28/2018
1.1.0 1,010 5/3/2018
1.0.1 1,068 3/3/2018
1.0.0 910 3/2/2018

## v1.3.0:
- Update NUKE to 0.19.1

## v1.2.0:
- Update NUKE to 0.6.0

## v1.1.4:
- Downgrade CLI tool from `net471` to `net461` for broaded compatibility (see #3)

## v1.1.3:
- Bugfix: dotCover to Cobertura reported covered statements for total statements (see #2)

## v1.1.2:
- Bugfix: dotCover failed when method did contain double colons `::` (see #1)

## v1.1.1:
- Bugfix: dotCover failed when method name did not contain any parentheses `(` (see #1)

## v1.1.0:
- Update to NUKE 0.4.0

## v1.0.1
- Support nested types when converting from dotCover
- Exclude types without lines when converting from dotCover to Cobertura

## v1.0.0
- Initial Release